Top Win International Limited

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/top-win-international-limited/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/top-win-international-limited/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1759190400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://asiastrategy.io/all-news/asiastrategy-buys-30-bitcoin-in-treasury-push-partners-with-anchorage-digital/",
    "holding_balance": 30.0,
    "holding_net_change": 30.0,
    "transaction_value_usd": 3423796.8,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/top-win-international-limited/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    30.0
  ],
  [
    1779062400000,
    30.0
  ],
  [
    1779148800000,
    30.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/top-win-international-limited/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    2322895.8
  ],
  [
    1779062400000,
    2308328.1
  ],
  [
    1779148800000,
    2302800.3
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/top-win-international-limited/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 2.6,
    "date": "2026-05-15",
    "high": 2.73,
    "open": 2.63,
    "close": 2.72,
    "volume": 9700
  },
  {
    "low": 2.55,
    "date": "2026-05-18",
    "high": 2.748,
    "open": 2.748,
    "close": 2.7,
    "volume": 1900
  },
  {
    "low": 2.2753,
    "date": "2026-05-19",
    "high": 2.39,
    "open": 2.2753,
    "close": 2.39,
    "volume": 2284
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/top-win-international-limited/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 59.578,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/top-win-international-limited/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 6.22,
  "six_month_return": -39.19,
  "three_month_return": 23.2
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/top-win-international-limited/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 3.4,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}